#
# spec file for package python-redbaron
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-redbaron
Version:        0.9.2
Release:        3.16
Summary:        Python module for writing code that modifies source code
License:        LGPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/PyCQA/redbaron
Source:         https://files.pythonhosted.org/packages/source/r/redbaron/redbaron-%{version}.tar.gz
Patch0:         pytest4.patch
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-baron >= 0.7
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module baron >= 0.7}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
RedBaron is a Python library and tool to write code that modifies
source code. This includes writing custom refactoring, generic
refactoring, tools, IDE or directly modifying source code in
IPython.

%prep
%setup -q -n redbaron-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
rm -r tests/__pycache__
%pytest

%files %{python_files}
%doc CHANGELOG README.md
%{python_sitelib}/*

%changelog
* Fri Nov  1 2019 Matej Cepl <mcepl@suse.com>
- Add pytest4.patch to make testsuite pass even with pytest 4
  (gh#PyCQA/redbaron#179)
* Thu Sep  5 2019 Todd R <toddrme2178@gmail.com>
- Set pytest maximum version.
* Thu Apr 25 2019 pgajdos@suse.com
- version update to 0.9.2
  * fix a situation in .help() where some code where colorized
    twice by Hanaasagi https://github.com/PyCQA/redbaron/pull/182
  * fix .names() and variations that didn't handle the case where
    there was "()" on FromImport nodes
  * full python 3.7 syntax support
  * BREAKING CHANGE: annotations are now member of
    {Def,List,Dict}Argument to flatten the data structure,
    TypedNameNode doesn't exist anymore
  * add support for return annotation by bram
  * add support for variable annotation
    https://github.com/PyCQA/redbaron/pull/177 by scottbelden
    and additional work by bram
  * add support for raise from by bram
- run tests
* Fri Nov 30 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu Nov 15 2018 Todd R <toddrme2178@gmail.com>
- Initial version
